<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bBD.m05bRenting,m05bClasses.*" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>

<HTML>
	
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> <%
	} 
%>	
<%@ include file="/m05bIdioma.inc"%>

<head>
		<title><%= resTit.getString("titVehRenting")%></title>
<%String matricula=request.getParameter("Matricula");
//m05bComun comun= new m05bComun();

      if (matricula==null || matricula.equals("NULL")){
          matricula="";
      }%>
<% String codigo="";
codigo = request.getParameter("Codigo");
if ( (codigo==null) || (codigo.equals("")) ) {
	codigo= "";}%>
<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/formateador.js"></script>
<script language="JavaScript">
     function fncGrabar(codigo,accion) {
     	 var docu=document.formRenting;
     	 
     	if (docu.Fecha.value==""){
		        	alert(dameAlerta(idioma, 33));
		}else if(docu.Importe.value==""){
		     	 	alert(dameAlerta(idioma, 80));
	    }else {
            formatearFecha(docu.Fecha);
        	document.formRenting.Codigo.disabled=false;
            document.formRenting.action="m05bGrabarRentingServlet?Codigo="+codigo+"&Accion=" + accion;
            document.formRenting.submit();
		      }
        	
}
</SCRIPT>
</head>
<BODY  style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
<script>
	 var urlIdioma;
	 urlIdioma = "<%=m05bConstantesPaginas.VEH_DET_GESTION_CUOTAS%>?Matricula=<%=matricula%>&Codigo=<%=codigo%>";
	 var urlCambioVentana;
	 urlCambioVentana = "<%=m05bConstantesPaginas.VEH_DET_GESTION_CUOTAS%>";		

	 
</script>			

<%@include file="m05bVehiEconomicoFijo.inc"%>			
	
<div id='p01popUpWindowCalendar' style='position:relative; top:15px left:150px'></div>
	
<FORM NAME="formRenting" METHOD="POST">
	
<%
//String sql = "";
String mensaje;
String accion;
m05bRenting renting = null;
StringBuffer sql = new StringBuffer();
sql.append("SELECT ").append(m05bConstantes.COL_41_CODIGO);
sql.append(" FROM ").append(m05bConstantes.TAB_CUOTAS);
sql.append(" ORDER BY ").append(m05bConstantes.COL_41_CODIGO).append(" DESC");

if ( (codigo==null) || (codigo.equals("")) ) {
	codigo= "";
	accion=m05bConstantes.ACC_INSERTAR;
	session.removeAttribute("m05bRenting");
    try {
           //m05bbBeginSelect(sql2.toString());
                   conexion = miConexion.getConnection();
                   conexion.setAutoCommit(false);  // Al final si todo ha ido bien se hace commit
		           
       	  	      pstmt2 = conexion.prepareStatement(sql.toString());
		          rs2 = pstmt2.executeQuery();
		           
           
           int cod=0;
           if  (rs2.next() == true){
            codigo=rs2.getString(m05bConstantes.COL_41_CODIGO);
           }
           cod=Integer.parseInt(codigo);

           cod++;
           codigo=Integer.toString(cod);
           //m05bEndSelect();
				if (rs2 != null)
					rs2.close();
				if (pstmt2 != null)
					pstmt2.close();
				if (conexion != null)
					conexion.close();
           
    }
    catch (Exception SQLException){
    	m05bClasses.m05bFileLog miLog = new m05bClasses.m05bFileLog();
        miLog.addTraza(SQLException);
        m05bEndSelect();
    }
}
else   {
	accion=m05bConstantes.ACC_ACTUALIZAR;
	renting = (m05bRenting)session.getAttribute("m05bRenting");
}
 if (renting == null){

	renting = new m05bRenting();
	session.setAttribute("m05bRenting",renting);
}

matricula=request.getParameter("Matricula");
String sFecha =renting.getRen_fecha();
if (sFecha==null || sFecha.equals(""))
    sFecha="";
else
sFecha=comun.Mes(sFecha,campoTexto3);
String sImporte = renting.getRen_importe();
//if (sImporte==null || sImporte.equals("NULL")|| sImporte.equals("0"))
//	sImporte = "";
%>

		<table class="general">
			 <tr nowrap>
			  	<td  height="20" width="55%" class="searchTitleCM">
                    <a href="<%=m05bConstantesPaginas.VEH_GESTION_ECONOMICA%>?Matricula=<%=matricula%>" class="CM" ><%=resCM.getString("cmMtoEconomica")%></a>\			  	
			  		<a href="<%=m05bConstantesPaginas.VEH_GESTION_CUOTAS%>?Matricula=<%=matricula%>" class="CM" ><%=resCM.getString("cmRelCuotas")%></a>\<font class="CMV" ><%=resCM.getString("cmMtoCuotas")%></FONT>
			    </td>
			 </tr>
		</table>				  
     <% if ((!(situacion.equals("B"))) &&  (sExisteMatricula.equals("1"))) {%>
       <TABLE class="buscar" width="100%">
		    <tr>
		       <td  align="right"  width="50%"> 
		     <% if	(accion==m05bConstantes.ACC_ACTUALIZAR){%>
		     	<input type="button" class="boton" name="<%= res.getString("etBOT_ELIMINAR")%>" value="<%= res.getString("etBOT_ELIMINAR")%>" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=m05bConstantes.ACC_ELIMINAR%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSELIMINAR")%>'; return false" onMouseOut="top.status=''; return false" />
		     <%}%>		      			    
				<input type="button" class="boton" name="<%= res.getString("etBOT_GRABAR")%>" value="<%= res.getString("etBOT_GRABAR")%>" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=accion%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSGRABAR")%>'; return false" onMouseOut="top.status=''; return false" />
			</tr>
	   </TABLE>
     <%}%>		
    
  <TABLE  width="100%">
    <tr>
      <td width="15%" valign="top" align="left" class="inputFieldTitle"><%= res.getString("etCodigo")%></td>
      <td width="20%" colspan="2" valign="top" align="left" class="inputFieldTitle"><%= res.getString("etFecha")%></td>
      <td width="65%" valign="top" align="left" class="inputFieldTitle"><%= res.getString("etImporte")%></td>
    </tr>
    <tr>
	  <td align="left" width="10%"><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Codigo" disabled VALUE="<%=codigo%>" size="10" maxlength="10" /> </td>
      <td align="left" width="10%"><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Fecha" VALUE="<%=sFecha%>" size="10" maxlength="10" onblur="javascript:formatearFecha(this);return false;">&nbsp;&nbsp;</td>
      <td align="left" width="10%"><a href='#' name='anchorFecha'  onClick='JavaScript:showCalendar("anchorFecha",idioma,document.all("Fecha"),true,25,10,2002);false;return false;' onMouseOver="top.status='Ver Calendario'; return true" onMouseOut="top.status=''; return true" ><img border='0' src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/p01calendario.gif' name="calendario1"/></td>
      <td align="left" width="65%"> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Importe" VALUE="<%=sImporte%>" size="15" maxlength="10" onblur="javascript: formatNumeroDecimal(this,6,2);return false;"/> </td>
    </tr>
  </TABLE>
<input type="hidden" name="Matricula" value="<%=matricula%>">
    <% if (situacion.equals("B")) {%>
    			<SCRIPT>
                      document.formRenting.Codigo.readOnly=true;
                      document.formRenting.Fecha.readOnly=true;
                      document.formRenting.Importe.readOnly=true;
                      document.all["calendario1"].src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/pixel.gif';   
                      
                </SCRIPT>
     <%}%>
		
</FORM>
					</td>
					</tr>
<tr>
	<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%></td>
</tr>
</table>
<script>
    formatNumeroDecimal(document.formRenting.Importe,6,2);	
    formatearFecha(parent.document.formRenting.Fecha);

</script>				
		
<SCRIPT language='javascript'>
    setTimeout('initSlide();', 1);
</SCRIPT>
<SCRIPT>
   var tabEconomica=document.getElementById("tabEconomica");
   
   tabEconomica.style.backgroundColor="#000078"	;
</SCRIPT>
</BODY>
</HTML>